Bug 23428 - Self registration with a verification by email is broken
Summary: Self registration with a verification by email is broken
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low critical (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 23151
Blocks:
  Show dependency treegraph
 
Reported: 2019-08-05 13:40 UTC by Jonathan Druart
Modified: 2019-09-02 11:07 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.03,18.11.09


Attachments
Bug 23428: (bug 23151 follow-up) Fix self registration with a verification email (1.37 KB, patch)
2019-08-05 13:44 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 23428: (bug 23151 follow-up) Fix self registration with a verification email (1.42 KB, patch)
2019-08-14 20:16 UTC, Michal Denar
Details | Diff | Splinter Review
Bug 23428: (bug 23151 follow-up) Fix self registration with a verification email (1.47 KB, patch)
2019-08-15 06:02 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2019-08-05 13:40:02 UTC
By bug 23151

DBIx::Class::Row::store_column(): No such column 'changed_fields' on Koha::Schema::Result::Borrower at /home/vagrant/kohaclone/Koha/Object.pm line 75
Comment 1 Jonathan Druart 2019-08-05 13:44:03 UTC
Created attachment 91995 [details] [review]
Bug 23428: (bug 23151 follow-up) Fix self registration with a verification email

DBIx::Class::Row::store_column(): No such column 'changed_fields' on
Koha::Schema::Result::Borrower at /home/vagrant/kohaclone/Koha/Object.pm
line 75

Test plan:
- Turn PatronSelfRegistrationVerifyByEmail on
- Register a new account
- Click on the link (see the message_queue table)
=> Without this patch you get the error
=> With this patch you will see the login form
Comment 2 Katrin Fischer 2019-08-11 10:57:22 UTC
Updating severity as this is a 'patron facing' feature.
Comment 3 Katrin Fischer 2019-08-11 11:04:10 UTC
Hi Jonathan, 

is this for a specific version or am I missing something on testing? 

I have just tested twice on master without the patch and everytime the email verification link worked without error.
Comment 4 Jonathan Druart 2019-08-14 17:21:05 UTC
Indeed I do not recreate this error.
Comment 5 Jonathan Druart 2019-08-14 17:22:26 UTC
I do on 18.11.08

This change is safe anyway.
Comment 6 Michal Denar 2019-08-14 20:16:34 UTC
Created attachment 92201 [details] [review]
Bug 23428: (bug 23151 follow-up) Fix self registration with a verification email

DBIx::Class::Row::store_column(): No such column 'changed_fields' on
Koha::Schema::Result::Borrower at /home/vagrant/kohaclone/Koha/Object.pm
line 75

Test plan:
- Turn PatronSelfRegistrationVerifyByEmail on
- Register a new account
- Click on the link (see the message_queue table)
=> Without this patch you get the error
=> With this patch you will see the login form

Signed-off-by: Michal Denar <black23@gmail.com>
Comment 7 Katrin Fischer 2019-08-15 06:02:16 UTC
Created attachment 92209 [details] [review]
Bug 23428: (bug 23151 follow-up) Fix self registration with a verification email

DBIx::Class::Row::store_column(): No such column 'changed_fields' on
Koha::Schema::Result::Borrower at /home/vagrant/kohaclone/Koha/Object.pm
line 75

Test plan:
- Turn PatronSelfRegistrationVerifyByEmail on
- Register a new account
- Click on the link (see the message_queue table)
=> Without this patch you get the error
=> With this patch you will see the login form

Signed-off-by: Michal Denar <black23@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Martin Renvoize 2019-08-15 08:24:04 UTC
Nice work!

Pushed to master for 19.11.00
Comment 9 Fridolin SOMERS 2019-08-28 13:21:21 UTC
Pushed to 19.05.x for 19.05.03
Comment 10 Lucas Gass 2019-08-28 14:51:34 UTC
backported to 18.11.x for 18.11.09